Skip to content

# Interface: PageTarget ‹P›

## Type parameters

▪ P

## Hierarchy

- PageTarget

## Index

### Properties

- extensionId
- pageId
- params

## Properties

### `Optional` extensionId

• extensionId? : string

Defined in src/extensions/registries/page-registry.ts:28

### `Optional` pageId

• pageId? : string

Defined in src/extensions/registries/page-registry.ts:29

### `Optional` params

• params? : P

Defined in src/extensions/registries/page-registry.ts:30